For the complete documentation index, see llms.txt. This page is also available as Markdown.

SycClient

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getSycClient

post

Retrieve SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SycClientSymConnectClientNumberintegerRequired
Responses
200

Successful operation.

application/json
post/getSycClient
POST /nexum/627/2022.01/parameter/getSycClient HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 178

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SycClientSymConnectClientNumber": "NEXW45",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "SycClient": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getSycClient"
}

getSycClientSelectFields

post

Retrieve SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SycClientSymConnectClientNumberintegerOptional
Responses
200

Successful operation.

application/json
post/getSycClientSelectFields
POST /nexum/627/2022.01/parameter/getSycClientSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllSycClientFields": true
  }
}
200

Successful operation.

{
  "SycClient": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getSycClientSelectFields"
}

getSycClientPagedList

post

Retrieve SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getSycClientPagedList
POST /nexum/627/2022.01/parameter/getSycClientPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "SycClient": [],
  "Token": null,
  "MessageId": "getSycClientPagedList"
}

getSycClientListSelectFields

post

Retrieve SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getSycClientListSelectFields
POST /nexum/627/2022.01/parameter/getSycClientListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllSycClientFields": true
  }
}
200

Successful operation.

{
  "SycClientList": [],
  "MessageId": "getSycClientListSelectFields"
}

searchSycClientSelectFields

post

Search SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchSycClientSelectFields
POST /nexum/627/2022.01/parameter/searchSycClientSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllSycClientFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "SycClientList": [],
  "MessageId": "searchSycClientSelectFields"
}

getSycClientPagedListSelectFields

post

Retrieve SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getSycClientPagedListSelectFields
POST /nexum/627/2022.01/parameter/getSycClientPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 271

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSycClientFields": true
  }
}
200

Successful operation.

{
  "SycClient": [],
  "Token": null,
  "MessageId": "getSycClientPagedListSelectFields"
}

searchSycClientPagedSelectFields

post

Search SycClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchSycClientPagedSelectFields
POST /nexum/627/2022.01/parameter/searchSycClientPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 282

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IncludeAllSycClientFields": true
  }
}
200

Successful operation.

{
  "SycClient": [],
  "Token": null,
  "MessageId": "searchSycClientPagedSelectFields"
}

updateSycClientByID

post

Update SycClient parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SycClientSymConnectClientNumberintegerOptional
Responses
200

Successful operation.

application/json
post/updateSycClientByID
POST /nexum/627/2022.01/parameter/updateSycClientByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 246

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SycClientSymConnectClientNumber": "NEXW45",
  "SycClientUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateSycClientByID"
}

Last updated

Was this helpful?